Rivet::Sphericity Class Reference

Calculate the sphericity event shape. More...

`#include <Sphericity.hh>`

Inheritance diagram for Rivet::Sphericity:

## Public Member Functions

void | clear ()
| Reset the projection.
Constructors etc.
| Sphericity (double rparam=2.0)
| Constructor.
| Sphericity (const FinalState &fsp, double rparam=2.0)
virtual const Projection * | clone () const
| Clone on the heap.
Access the event shapes by name
Sphericity
double | sphericity () const
double | transSphericity () const
| Transverse Sphericity.
double | planarity () const
| Planarity.
double | aplanarity () const
| Aplanarity.
Access the sphericity basis vectors
Sphericity axis
const Vector3 & | sphericityAxis () const
const Vector3 & | sphericityMajorAxis () const
| Sphericity major axis.
const Vector3 & | sphericityMinorAxis () const
| Sphericity minor axis.
const Vector3 & | axis1 () const
| AxesDefinition axis accessors.
const Vector3 & | axis2 () const
| The 2nd most significant ("major") axis.
const Vector3 & | axis3 () const
| The least significant ("minor") axis.
Access the momentum tensor eigenvalues
double | lambda1 () const
double | lambda2 () const
double | lambda3 () const
Direct methods
Ways to do the calculation directly, without engaging the caching system
void | calc (const FinalState &fs)
| Manually calculate the sphericity, without engaging the caching system.
void | calc (const vector< Particle > &fsparticles)
| Manually calculate the sphericity, without engaging the caching system.
void | calc (const vector< FourMomentum > &fsmomenta)
| Manually calculate the sphericity, without engaging the caching system.
void | calc (const vector< Vector3 > &fsmomenta)
| Manually calculate the sphericity, without engaging the caching system.
Public Member Functions inherited from Rivet::AxesDefinition
virtual | ~AxesDefinition ()
| Virtual destructor.
Public Member Functions inherited from Rivet::Projection
bool | before (const Projection &p) const
virtual const std::set< PdgIdPair > | beamPairs () const
virtual std::string | name () const
| Get the name of the projection.
Projection & | addPdgIdPair (PdgId beam1, PdgId beam2)
| Add a colliding beam pair.
Log & | getLog () const
| Get a Log object based on the getName() property of the calling projection object.
void | setName (const std::string &name)
| Used by derived classes to set their name.
| Projection ()
| The default constructor.
virtual | ~Projection ()
| The destructor.
Public Member Functions inherited from Rivet::ProjectionApplier
| ProjectionApplier ()
| Constructor.
std::set< ConstProjectionPtr > | getProjections () const
| Get the contained projections, including recursion.
template<typename PROJ >
const PROJ & | getProjection (const std::string &name) const
| Get the named projection, specifying return type via a template argument.
const Projection & | getProjection (const std::string &name) const
template<typename PROJ >
const PROJ & | applyProjection (const Event &evt, const PROJ &proj) const
| Apply the supplied projection on event.
template<typename PROJ >
const PROJ & | applyProjection (const Event &evt, const Projection &proj) const
| Apply the supplied projection on event.
template<typename PROJ >
const PROJ & | applyProjection (const Event &evt, const std::string &name) const
| Apply the named projection on event.

## Protected Member Functions

void | project (const Event &e)
| Perform the projection on the Event.
int | compare (const Projection &p) const
| Compare with other projections.
Protected Member Functions inherited from Rivet::Projection
Cmp< Projection > | mkNamedPCmp (const Projection &otherparent, const std::string &pname) const
Cmp< Projection > | mkPCmp (const Projection &otherparent, const std::string &pname) const
Protected Member Functions inherited from Rivet::ProjectionApplier
Log & | getLog () const
ProjectionHandler & | getProjHandler () const
| Get a reference to the ProjectionHandler for this thread.
template<typename PROJ >
const PROJ & | addProjection (const PROJ &proj, const std::string &name)

## Detailed Description

Calculate the sphericity event shape.

The sphericity tensor (or quadratic momentum tensor) is defined as

, where the Greek indices are spatial components and the Latin indices are used for sums over particles. From this, the sphericity, aplanarity and planarity can be calculated by combinations of eigenvalues.

Defining the three eigenvalues , with , the sphericity is

The aplanarity is and the planarity is . The eigenvectors define a set of spatial axes comparable with the thrust axes, but more sensitive to high momentum particles due to the quadratic sensitivity of the tensor to the particle momenta.

Since the sphericity is quadratic in the particle momenta, it is not an infrared safe observable in perturbative QCD. This can be fixed by adding a regularizing power of to the definition:

is available as a constructor argument on this class and will be taken into account by the Cmp<Projection> operation, so a single analysis can use several sphericity projections with different values without fear of a clash.

The documentation for this class was generated from the following files:

- include/Rivet/Projections/Sphericity.hh
- src/Projections/Sphericity.cc